MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000075WolfAdminGeneralpublic2017-01-20 20:052017-02-21 10:46
ReporterTimo 
Assigned ToTimo 
PrioritynormalSeveritymajorReproducibilityN/A
StatusassignedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.2.0Fixed in Version 
Summary0000075: Improve code efficiency
DescriptionAnalyze the code for unnecessary/unused initialized variables, redundancy and other bloat.
TagsNo tags attached.
ModN/A
Mod version
Standaloneno
Attached Files? file icon autoload.lua [^] (592 bytes) 2017-02-02 15:58

- Relationships
related to 0000078new Improve error handling 

-  Notes
(0000091)
Timo (administrator)
2017-02-02 15:58
edited on: 2017-02-02 15:58

To solve the never-ending list of loaded modules possibly include an autoloader, see attached file.

(taken from https://gist.github.com/MichaelCarius/95415f5e718ce33c1d1b [^])

(0000098)
Timo (administrator)
2017-02-21 10:46

So far:

unused init: 186 -> 139
redundant init: 13 -> 0
suspicious globals: 50 -> 0

- Related Changesets
WolfAdmin: develop/1.2.0 9012d54d
Timestamp: 2017-01-21 12:16:26
Author: Timo
Details ] Diff ]
Misc auth improvements (refs 0000069, 0000075)

* renamed methods to camelCase
* renamed methods to be more precise
* auth.isPlayerAllowed now returns boolean values
mod - luamods/wolfadmin/auth/acl.lua Diff ] File ]
mod - luamods/wolfadmin/auth/auth.lua Diff ] File ]
mod - luamods/wolfadmin/auth/shrubbot.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/admintest.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/ban.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/gib.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/help.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/incognito.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/kick.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/mute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/plock.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/put.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/slap.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/vmute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/warn.lua Diff ] File ]
mod - luamods/wolfadmin/commands/client/ac.lua Diff ] File ]
mod - luamods/wolfadmin/commands/commands.lua Diff ] File ]
mod - luamods/wolfadmin/game/voting.lua Diff ] File ]
mod - luamods/wolfadmin/players/greetings.lua Diff ] File ]
WolfAdmin: develop/1.2.0 e36d70ae
Timestamp: 2017-01-21 12:19:07
Author: Timo
Details ] Diff ]
Fixed minor rename issue caused by 9012d54da4aad7d6d5e62c101ee4e1b844699072 (refs 0000069, 0000075)
mod - luamods/wolfadmin/auth/acl.lua Diff ] File ]
WolfAdmin: develop/1.2.0 f0618d82
Timestamp: 2017-01-21 15:30:03
Author: Timo
Details ] Diff ]
Removed unused variable from server commands (refs 0000075)
mod - luamods/wolfadmin/commands/commands.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/acl.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/cannounce.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/cchat.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/ccp.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/ccpm.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/cmusic.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/csay.lua Diff ] File ]
WolfAdmin: develop/1.2.0 6c957036
Timestamp: 2017-02-21 10:33:10
Author: Timo
Details ] Diff ]
Fixed many unused initializations (fixes 0000075)
mod - luamods/wolfadmin/admin/balancer.lua Diff ] File ]
mod - luamods/wolfadmin/admin/bans.lua Diff ] File ]
mod - luamods/wolfadmin/admin/history.lua Diff ] File ]
mod - luamods/wolfadmin/admin/rules.lua Diff ] File ]
mod - luamods/wolfadmin/auth/auth.lua Diff ] File ]
mod - luamods/wolfadmin/auth/shrubbot.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/ban.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/enablevote.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/finger.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/greeting.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/incognito.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listlevels.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listmaps.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/mute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/pause.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/plock.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/punlock.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/unpause.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/vmute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/server/acl.lua Diff ] File ]
mod - luamods/wolfadmin/db/db.lua Diff ] File ]
mod - luamods/wolfadmin/db/mysql.lua Diff ] File ]
mod - luamods/wolfadmin/game/fireteams.lua Diff ] File ]
mod - luamods/wolfadmin/util/debug.lua Diff ] File ]
mod - luamods/wolfadmin/util/files.lua Diff ] File ]
mod - luamods/wolfadmin/util/logs.lua Diff ] File ]
mod - luamods/wolfadmin/util/settings.lua Diff ] File ]
mod - luamods/wolfadmin/util/tables.lua Diff ] File ]
mod - luamods/wolfadmin/util/timers.lua Diff ] File ]
WolfAdmin: develop/1.2.0 a72f15b0
Timestamp: 2017-02-21 10:41:09
Author: Timo
Details ] Diff ]
Removed redundant initialization (fixes 0000075)
mod - luamods/wolfadmin/admin/balancer.lua Diff ] File ]
mod - luamods/wolfadmin/commands/commands.lua Diff ] File ]
mod - luamods/wolfadmin/db/mysql.lua Diff ] File ]
mod - luamods/wolfadmin/db/sqlite3.lua Diff ] File ]
mod - luamods/wolfadmin/game/game.lua Diff ] File ]
mod - luamods/wolfadmin/main.lua Diff ] File ]
mod - luamods/wolfadmin/util/events.lua Diff ] File ]
WolfAdmin: develop/1.2.0 2c326713
Timestamp: 2017-02-21 10:44:14
Author: Timo
Details ] Diff ]
Fixed suspicious globals (fixes 0000075)
mod - luamods/wolfadmin/commands/admin/ban.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/finger.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/gib.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/kick.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/listlevels.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/mute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/plock.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/punlock.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/put.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/slap.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/stats.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/unmute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/vmute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/vunmute.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/warn.lua Diff ] File ]
WolfAdmin: develop/1.2.0 6eeec2d2
Timestamp: 2017-02-21 10:45:16
Author: Timo
Details ] Diff ]
Fixed suspicious globals (fixes 0000075)
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff ] File ]
mod - luamods/wolfadmin/commands/admin/warn.lua Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-20 20:05 Timo New Issue
2017-01-21 12:16 Timo Changeset attached => WolfAdmin develop 9012d54d
2017-01-21 12:19 Timo Changeset attached => WolfAdmin develop e36d70ae
2017-01-21 15:30 Timo Changeset attached => WolfAdmin develop f0618d82
2017-02-02 15:51 Timo Relationship added related to 0000078
2017-02-02 15:58 Timo Note Added: 0000091
2017-02-02 15:58 Timo Note Edited: 0000091 View Revisions
2017-02-02 15:58 Timo File Added: autoload.lua
2017-02-21 10:33 Timo Changeset attached => WolfAdmin develop/1.2.0 6c957036
2017-02-21 10:33 Timo Assigned To => Timo
2017-02-21 10:33 Timo Resolution open => fixed
2017-02-21 10:44 Timo Changeset attached => WolfAdmin develop/1.2.0 a72f15b0
2017-02-21 10:44 Timo Changeset attached => WolfAdmin develop/1.2.0 2c326713
2017-02-21 10:45 Timo Changeset attached => WolfAdmin develop/1.2.0 6eeec2d2
2017-02-21 10:46 Timo Note Added: 0000098
2017-02-21 10:46 Timo Status new => assigned


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker